Sony SmartEyeglass SDK Developer Preview Released

A little over a month ago in Tokyo, Japan, Sony unveiled its new SmartEyeglasstechnology. … more

XDA and Leaseweb: Server Trial/Moto 360 Contest (Winners!)

About a month ago, we held a contest along with XDA’s host, Leaseweb, to … more

Updated Android Lollipop Preview Images – XDA TV

The Android Lollipop Preview Images are now available! That and much more news is … more

Get a Complete Set of Logs with Andy Log

The importance of proper logging is undeniable. No, we’re not talking about lumberjack work. … more
Post Reply

tun module

OP gled

1st August 2010, 01:59 AM   |  #1  
OP Member
Flag E975
Thanks Meter: 42
 
84 posts
Join Date:Joined: Jul 2010
for those of you who needing vpnc running, here's attached the tun.ko fresh built.
Attached Files
File Type: zip tun.ko.zip - [Click for QR Code] (64.5 KB, 490 views)
4th August 2010, 03:14 AM   |  #2  
Junior Member
Thanks Meter: 0
 
15 posts
Join Date:Joined: Aug 2010
Quote:
Originally Posted by gled

for those of you who needing vpnc running, here's attached the tun.ko fresh built.

ty, but I need help to set it up. :/

First of all, my phone is rooted. (x10 mini pro)

- got latest Version of busybox.
- tun.ko is on my SD card
- installed OpenVpnGui
- installed OpenVpnInstaller
- executed insmod tun.ko
- started OpenVpnInstaller
- tryed to install to /system/bin/

but I cant install the binaries.

the log file says for example:
STDERR cp: cp not found
STDERR: Unable to chmod /system/bin/openvpn no such file or directory

Hope someone can help me
Last edited by DaXmYsT; 4th August 2010 at 03:21 AM.
5th August 2010, 01:33 PM   |  #3  
Junior Member
Thanks Meter: 0
 
3 posts
Join Date:Joined: Feb 2008
Same prob like Daxmyst here.

Anyone who can help us ??
10th August 2010, 01:17 PM   |  #4  
OP Member
Flag E975
Thanks Meter: 42
 
84 posts
Join Date:Joined: Jul 2010
"cp not found" indicates you don't installed busybox.

by memory it's something like busybox --install /system/xbin
18th August 2010, 02:02 PM   |  #5  
Junior Member
Thanks Meter: 0
 
1 posts
Join Date:Joined: Aug 2010
Code:
# busybox cp /sdcard/tun.ko /system/lib/modules/
busybox cp /sdcard/tun.ko /system/lib/modules/
# cd /system/lib/modules
cd /system/lib/modules
# busybox insmod tun.ko
busybox insmod tun.ko
# dmesg|tail
dmesg|tail
<6>[67658.043432] bq24180: Set safety timer to 4305 minutes
<6>[67668.099598] bq24180: Set safety timer to 0 minutes
<6>[67838.603295] bq24180: Set safety timer to 2686 minutes
<6>[67848.643480] bq24180: Set safety timer to 0 minutes
<6>[67979.253107] bq24180: Set safety timer to 2686 minutes
<6>[67989.293892] bq24180: Set safety timer to 0 minutes
<6>[68139.993915] bq24180: Set safety timer to 2686 minutes
<6>[68150.043948] bq24180: Set safety timer to 0 minutes
<6>[68233.031543] tun: Universal TUN/TAP device driver, 1.6
<6>[68233.031568] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
#
here is how I just loaded it.
29th November 2010, 08:02 AM   |  #6  
Junior Member
Thanks Meter: 0
 
7 posts
Join Date:Joined: Nov 2010
xperia x10 mini pro
Hi Guys!

I am trying to get working openvpn cliet on my xperiy x10 mini pro. I have android 2.1(UK version) and.

I downloded the tun.ko(I found it on this portal) and copied it to the below mentioned modules folder, then I tried insmod and got the following:

Code:
$ su
su
# insmod /system/lib/modules/tun.ko
insmod /system/lib/modules/tun.ko
insmod: init_module '/system/lib/modules/tun.ko' failed (Exec format error)
Does it mean I have wrong tun.ko version?
29th November 2010, 11:02 AM   |  #7  
nobodyAtall's Avatar
Recognized Developer
Flag Patras
Thanks Meter: 19,395
 
1,527 posts
Join Date:Joined: Jan 2008
Donate to Me
Quote:
Originally Posted by kovgergo

Hi Guys!

I am trying to get working openvpn cliet on my xperiy x10 mini pro. I have android 2.1(UK version) and.

I downloded the tun.ko(I found it on this portal) and copied it to the below mentioned modules folder, then I tried insmod and got the following:

Code:
$ su
su
# insmod /system/lib/modules/tun.ko
insmod /system/lib/modules/tun.ko
insmod: init_module '/system/lib/modules/tun.ko' failed (Exec format error)
Does it mean I have wrong tun.ko version?

The posted tun module is for Android 1.6. It won't work on 2.1.

Also, this is for vpnc, not for openvpn (probably this is covered natively? - haven't tried though).
29th November 2010, 03:17 PM   |  #8  
Junior Member
Thanks Meter: 0
 
7 posts
Join Date:Joined: Nov 2010
Sorry I got the tun.ko from: droidforums.net

unfortunatelly I cannot post the link. the title: 'Got OpenVPN Running on 2.1!!! (How-To)'

It should work on 2.1. Or not?
30th November 2010, 09:14 PM   |  #9  
nobodyAtall's Avatar
Recognized Developer
Flag Patras
Thanks Meter: 19,395
 
1,527 posts
Join Date:Joined: Jan 2008
Donate to Me
Quote:
Originally Posted by kovgergo

Sorry I got the tun.ko from: droidforums.net

unfortunatelly I cannot post the link. the title: 'Got OpenVPN Running on 2.1!!! (How-To)'

It should work on 2.1. Or not?

I bet it won't.

Since it won't be built with the mini's .config file.

Try it out thought, at post the results!
1st December 2010, 08:17 AM   |  #10  
Junior Member
Thanks Meter: 0
 
7 posts
Join Date:Joined: Nov 2010
attached tun.ko for X10 Mini Pro?
I have X10 mini pro.

Code:
D:\x10\ftool>adb shell
$ su
su
# insmod /system/lib/modules/tun.ko
insmod /system/lib/modules/tun.ko
insmod: init_module '/system/lib/modules/tun.ko' failed (Exec format error)
#
Then I did dmesg:

Code:
.
.
.
<3>[ 5883.527575] tun: version magic '2.6.29-rel preempt mod_unload ARMv7 ' should be '2.6.29 preempt mod_unload ARMv6 '
So, I ssume the attached tun.ko is compiled for X10 and not for X10 mini pro which has ARMv7 proc instead of ARMv6.

tun.ko should be built for Mini Pro.
Can anybody help where I can find the source of tun.ko and all the necessary source which I need for the compiling?

Any suggestion where to find desp. how to compile?

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes